Subject: linux-next: cris build failure

From: Stephen Rothwell <[email-masked]>
Date: Tue, 21 Apr 2009 13:58:43 +1000

Hi Jesper, 

Having figured out that I needed a crisv32 compiler (not a cris one) to
build the kernel, I now get this error:

  LD      arch/cris/arch-v32/boot/rescue/rescue.o
/bin/sh: gcc-cris: command not found
make[3]: *** [arch/cris/arch-v32/boot/rescue/rescue.o] Error 127

arch/cris/arch-v32/boot/rescue/Makefile has an explicit reference to
gcc-cris.  Surely there is some better way specify this.  I created a
symlink for gcc-cris to my crisv32 cross compiler and that allowed the
kernel to finish building, but that is not a very nice solution.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/